"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLambdaServiceClient = void 0;
const executeLambdaInvocation_1 = require("./executeLambdaInvocation");
exports.createLambdaServiceClient = ({ serviceName, stage, logDebug }) => {
    const invokeLambdaFunction = ({ functionName, event }) => __awaiter(void 0, void 0, void 0, function* () {
        if (logDebug)
            logDebug(`${serviceName}-${stage}-${functionName}.invoke.input`, { event });
        const result = yield executeLambdaInvocation_1.executeLambdaInvocation({ serviceName, stage, functionName, event });
        if (logDebug)
            logDebug(`${serviceName}-${stage}-${functionName}.invoke.output`, { result });
        return result;
    });
    return invokeLambdaFunction;
};
//# sourceMappingURL=createLambdaServiceClient.js.map